/* Alerts - Defines the alert and dialog resources of MUDDweller              */

#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __SYSTYPES.R__
#include "SysTypes.r"
#endif

#ifndef __MacAppTypes__
#include "MacAppTypes.r"
#endif

/* -------------------------------------------------------------------------- */

#define phGetDirID			1000
#define	phCmdErrID			1001
#define	phNoCommID			1002
#define	phNoToolsID			1003
#define	phPurgedID			1004
#define phS7GetDirID		1005
#define phConvertID			1006
#define phOpenLogID			1007
#define phS7OpenLogID		1008
#define phUnavailID			1009
#define phNoMTPDirID		1010

/* -------------------------------------------------------------------------- */

resource 'DLOG' (phGetDirID,
#if qNames
	"DirSelect",
#endif
purgeable) {
	{0, 0, 200, 348},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	phGetDirID,
	""
};

resource 'DITL' (phGetDirID,
#if qNames
	"DirSelect",
#endif
purgeable) {
	{	/* [1] */	{120, 256, 138, 336},	Button		{enabled,"Open"},
		/* [2] */	{1152, 59, 1232, 77},	Button		{enabled,"Hidden"},
		/* [3] */	{171, 256, 189, 336},	Button		{enabled,"Cancel"},
		/* [4] */	{25, 232, 46, 347},		UserItem	{disabled},
		/* [5] */	{50, 256, 68, 336},		Button		{enabled,"Eject"},
		/* [6] */	{75, 256, 93, 336},		Button		{enabled,"Drive"},
		/* [7] */	{46, 12, 192, 230},		UserItem	{enabled},
		/* [8] */	{46, 229, 192, 246},	UserItem	{enabled},
		/* [9] */	{104, 252, 105, 340},	UserItem	{disabled},
		/* [10] */	{1044, 20, 1145, 116},	StaticText	{disabled,""},
		/* [11] */	{147, 256, 165, 336},	Button		{enabled,"Directory"},
		/* [12] */	{1, 30, 19, 215},		Button		{enabled,
						"Select Current Directory:"},
	}
};


/* -------------------------------------------------------------------------- */

resource 'DITL' (phCmdErrID,
#if qNames
	"phCmdErrID",
#endif
	purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{64, 288, 84, 369},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{12, 10, 60, 370},
		StaticText {
			disabled,
			"Illegal macro command: \"^0\". Execution of macro terminated."
		}
	}
};


resource 'ALRT' (phCmdErrID,
#if qNames
	"phCmdErrID",
#endif
	purgeable) {
	{64, 64, 160, 446},
	phCmdErrID,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	}
};


/* -------------------------------------------------------------------------- */

resource 'DITL' (phNoCommID,
#if qNames
	"phNoCommID",
#endif
	purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{64, 288, 84, 369},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{12, 10, 60, 370},
		StaticText {
			disabled,
			"You need either the MacTCP driver, or the communication toolbox "
			"and a suitable tool to use this program!"
		}
	}
};


resource 'ALRT' (phNoCommID,
#if qNames
	"phNoCommID",
#endif
	purgeable) {
	{64, 64, 160, 446},
	phNoCommID,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	}
};


/* -------------------------------------------------------------------------- */

resource 'DITL' (phNoToolsID,
#if qNames
	"phNoToolsID",
#endif
	purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{64, 288, 84, 369},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{12, 10, 60, 370},
		StaticText {
			disabled,
			"You need either the MacTCP driver, or a suitable tool for the "
			"communication toolbox to use this program!"
		}
	}
};


resource 'ALRT' (phNoToolsID,
#if qNames
	"phNoToolsID",
#endif
	purgeable) {
	{64, 64, 160, 446},
	phNoToolsID,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	}
};


/* -------------------------------------------------------------------------- */

resource 'DITL' (phPurgedID,
#if qNames
	"phPurgedID",
#endif
	purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{64, 288, 84, 369},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{12, 10, 60, 370},
		StaticText {
			disabled,
			"Some large history entries were cleared in order to free "
			"some memory."
		}
	}
};


resource 'ALRT' (phPurgedID,
#if qNames
	"phPurgedID",
#endif
	purgeable) {
	{64, 64, 160, 446},
	phPurgedID,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	}
};


/* -------------------------------------------------------------------------- */

resource 'DLOG' (phS7GetDirID,
#if qNames
	"DirSelect",
#endif
purgeable) {
	{0, 0, 200, 348},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	phS7GetDirID,
	""
};

resource 'DITL' (phS7GetDirID,
#if qNames
	"DirSelect",
#endif
purgeable) {
	{	/* [1] */	{120, 256, 138, 336},	Button		{enabled,"Open"},
		/* [2] */	{171, 256, 189, 336},	Button		{enabled,"Cancel"},
		/* [3] */	{0, 0, 0, 0},	HelpItem	{disabled, HMScanhdlg {-6042}},
		/* [4] */	{25, 232, 46, 347},		UserItem	{enabled},
		/* [5] */	{50, 256, 68, 336},		Button		{enabled,"Eject"},
		/* [6] */	{75, 256, 93, 336},		Button		{enabled,"Desktop"},
		/* [7] */	{46, 12, 192, 230},		UserItem	{enabled},
		/* [8] */	{23, 12, 42, 230},		UserItem	{enabled},
		/* [9] */	{104, 252, 105, 340},	Picture		{disabled, 11},
		/* [10] */	{147, 256, 165, 336},	Button		{enabled,"Directory"},
		/* [11] */	{1, 30, 19, 215},		Button		{enabled,
						"Select Current Directory:"},
	}
};

/* -------------------------------------------------------------------------- */

resource 'DITL' (phConvertID,
#if qNames
	"phConvertID",
#endif
	purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{64, 288, 84, 369},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{12, 10, 60, 370},
		StaticText {
			disabled,
			"\"^0\" was created with an older program version. It will be "
			"converted to the new format when saved."
		}
	}
};


resource 'ALRT' (phConvertID,
#if qNames
	"phConvertID",
#endif
	purgeable) {
	{64, 64, 160, 446},
	phConvertID,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	}
};


/* -------------------------------------------------------------------------- */

resource 'DLOG' (phOpenLogID,
#if qNames
	"DirSelect",
#endif
purgeable) {
	{0, 0, 204, 304},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	phOpenLogID,
	""
};

resource 'DITL' (phOpenLogID,
#if qNames
	"OpenLog",
#endif
purgeable) {
	{	/* array DITLarray: 8 elements */
		/* [1] */	{132, 218, 150, 288},	Button {enabled, "Save"},
		/* [2] */	{158, 218, 176, 288},	Button {enabled, "Cancel"},
		/* [3] */	{136, 14, 152, 197},	StaticText {disabled, "Save as:"},
		/* [4] */	{29, 198, 49, 302},		UserItem {disabled},
		/* [5] */	{56, 218, 74, 288},		Button {enabled, "Eject"},
		/* [6] */	{82, 218, 100, 288},	Button {enabled, "Drive"},
		/* [7] */	{157, 17, 173, 194},	EditText {enabled, ""},
		/* [8] */	{29, 14, 127, 197},		UserItem {disabled},
		/* [9] */	{182, 14, 198, 194},	CheckBox {enabled,
												"Save window contents"}
	}
};

/* -------------------------------------------------------------------------- */

resource 'DLOG' (phS7OpenLogID,
#if qNames
	"DirSelect",
#endif
purgeable) {
	{0, 0, 204, 344},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	phS7OpenLogID,
	""
};

resource 'DITL' (phS7OpenLogID,
#if qNames
	"S7OpenLog",
#endif
purgeable) {
	{	/* [1] */	{161, 252, 181, 332},	Button {enabled, "Save"},
		/* [2] */	{130, 252, 150, 332},	Button {enabled, "Cancel"},
		/* [3] */	{0, 0, 0, 0},	HelpItem {disabled, HMScanhdlg {-6043}},
		/* [4] */	{8, 235, 24, 337},		UserItem {enabled},
		/* [5] */	{32, 252, 52, 332},		Button {enabled, "Eject"},
		/* [6] */	{60, 252, 80, 332},		Button {enabled, "Desktop"},
		/* [7] */	{29, 12, 127, 230},		UserItem {enabled},
		/* [8] */	{6, 12, 25, 230},		UserItem {enabled},
		/* [9] */	{119, 250, 120, 334},	Picture {disabled, 11},
		/* [10] */	{157, 15, 173, 227},	EditText {enabled, ""},
		/* [11] */	{136, 15, 152, 227},	StaticText {disabled, "Save as:"},
		/* [12] */	{88, 252, 108, 332},	UserItem {disabled},
		/* [13] */	{182, 15, 198, 195},	CheckBox {enabled,
												"Save window contents"}
	}
};

/* -------------------------------------------------------------------------- */

resource 'DITL' (phUnavailID,
#if qNames
	"phUnavailID",
#endif
	purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{64, 288, 84, 369},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{12, 10, 60, 370},
		StaticText {
			disabled,
			"The communication tool selected for this document is not "
			"available!"
		}
	}
};


resource 'ALRT' (phUnavailID,
#if qNames
	"phUnavailID",
#endif
	purgeable) {
	{64, 64, 160, 446},
	phUnavailID,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	}
};


/* -------------------------------------------------------------------------- */

resource 'DITL' (phNoMTPDirID,
#if qNames
	"phNoMTPDirID",
#endif
	purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{64, 288, 84, 369},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{12, 10, 60, 370},
		StaticText {
			disabled,
			"The MTP upload folder was not found! Please select a suitable "
			"folder, otherwise the program directory will be used for "
			"uploads."
		}
	}
};


resource 'ALRT' (phNoMTPDirID,
#if qNames
	"phNoMTPDirID",
#endif
	purgeable) {
	{64, 64, 160, 446},
	phNoMTPDirID,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent;
		/* [2] */
		OK, visible, silent;
		/* [3] */
		OK, visible, silent;
		/* [4] */
		OK, visible, silent
	}
};


/* -------------------------------------------------------------------------- */

resource 'ALRT' (phAboutApp,
#if qNames
"phAboutApp",
#endif
	purgeable) {
	{66, 76, 266, 436},
	phAboutApp,
	{	OK, visible, silent;
		OK, visible, silent;
		OK, visible, silent;
		OK, visible, silent
	}
};

resource 'DITL' (phAboutApp,
#if qNames
"phAboutApp",
#endif
	purgeable) {
	{	/* array DITLarray: 7 elements */
		/* [1] */
		{166, 254, 186, 342},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 8, 119, 215},
		Picture {
			disabled,
			1002
		},
		/* [3] */
		{16, 264, 111, 331},
		Picture {
			disabled,
			1001
		},
		/* [4] */
		{135, 8, 152, 232},
		StaticText {
			disabled,
			"MUDDweller 1.2, a Mac MUD client"
		},
		/* [5] */
		{135, 249, 151, 349},
		StaticText {
			disabled,
			"by O. Maquelin"
		},
		/* [6] */
		{159, 8, 192, 232},
		StaticText {
			disabled,
			"This program is free. Feel free to\n"
			"give it away!"
		}
	}
};

resource 'PICT' (1001) {
	1167,
	{50, 53, 145, 120},
	$"1101 A030 39A0 0082 0100 0A00 0000 0002"
	$"D002 4098 000A 0032 0034 0091 007C 0032"
	$"0035 0091 0078 0032 0035 0091 0078 0001"
	$"08FE 0002 07FF E0FD 0008 FE00 023D BFF8"
	$"FD00 0905 0000 01FF F6FC FD00 0A06 0000"
	$"07FF FFBF 80FE 000A 0600 001F EEFF FF80"
	$"FE00 0A06 0000 7FFF DBFB E0FE 000A 0600"
	$"01FE FFFF DFF0 FE00 0A01 0003 FEFF 01FE"
	$"FCFE 000A 0600 0F7F DFFB FFFC FE00 0A06"
	$"000F FFFE FFFF FEFE 000A 0600 3FFF FFEF"
	$"BFFF FE00 0903 003F FFF7 FEFF FE00 0802"
	$"00FF FBFD FFFE 0008 0000 FBFF 0280 0000"
	$"0B03 01FF FF7F FEFF 0240 0000 0B03 01FF"
	$"FFFB FEFF 02F0 0000 0800 03FB FF02 E800"
	$"000A 0203 FFDF FDFF 02FC 0000 0B09 07FF"
	$"FF7F FFB6 DFF6 0000 0B09 07FF FFEF EDDD"
	$"BBBD 0000 0A00 0FFD FF04 6A57 FF00 000B"
	$"090F FFFF FDB4 9155 F780 000B 091F FFFB"
	$"FFEA 0A55 FF80 000B 091F FFBF 6D01 20AA"
	$"DFC0 000B 091F FFED A800 0A57 FFC0 000B"
	$"091F FD52 0010 4095 7FE0 000B 093F EAA8"
	$"4102 0AAB FFE0 000B 093F FEA0 0000 0255"
	$"77F0 000B 093F F509 0800 912B FFF0 000B"
	$"097F BAA4 0022 0256 FFF0 000B 097F F510"
	$"8200 2495 FFE0 000B 095F FE44 2000 012B"
	$"7FF0 000B 097F EAA1 0008 9257 FFE0 000B"
	$"097F FD48 0400 00AA FFF0 000B 097F 7690"
	$"8082 4917 BFE0 000B 097F FD22 2810 22FD"
	$"FFE0 000B 097F EAC8 8202 9FDF FFC0 000B"
	$"093F FF7F 5449 2FFF BFE0 000B 043F DBEF"
	$"EA92 FEFF 01C0 000B 093F FFFF FA25 7FDB"
	$"DFC0 000B 093F BEFF FD4B FA2E FF80 000B"
	$"093F F7AB 7E92 D6DB FF80 000B 093F 7DA5"
	$"D725 BBFF 6F00 000B 093F DEFE BE89 6FFF"
	$"FF80 000B 091F F7FF EA83 BBEE FF00 000B"
	$"091F BBDE FF09 55DF AF80 000B 091B EFFE"
	$"6AA5 5977 FD80 000B 090F BBAA B692 A55E"
	$"AE80 000B 091F EEEA 4945 5577 FF80 000B"
	$"091B B5DA A6A9 4A2D 56C0 000B 091F DAA4"
	$"1296 A155 7D80 000B 0917 7510 4AC9 6802"
	$"AD40 000B 091B CA42 1757 A255 7AC0 000B"
	$"090B B910 49A4 D908 AD40 000B 091B D244"
	$"16D3 6055 7A80 000B 0917 7520 ADAA D501"
	$"5540 000B 091B D449 16A5 B055 7B00 000B"
	$"0907 7A80 4DD0 EA8A B580 000B 090D D529"
	$"2B45 A925 EE80 000B 0907 7D44 8EEA F49A"
	$"B900 000B 090D D550 55F5 D255 E600 000B"
	$"0905 6EA9 0EEF F4AB 6A00 000B 0906 FB52"
	$"57FB A956 D400 000B 0901 56E9 0DEF F255"
	$"7400 000B 0703 BDAA 57FB D55B A8FF 000B"
	$"0700 D754 8DAE B4AA D0FF 000B 0700 7BA9"
	$"2B75 D555 A0FF 000B 0700 2ED6 55DB 6AB6"
	$"C0FF 000B 0700 15A9 4B55 5AAD 80FF 000B"
	$"0700 0F76 AAAA B6B6 C0FF 000B 0700 05D9"
	$"5555 AB6D 80FF 000B 0700 03B6 BAEB 6DB7"
	$"80FF 000B 0700 06DB D7BF FBDA 80FF 000B"
	$"0700 036D 7FFB FF6F 80FF 000A 0600 05FB"
	$"FDBE DEDB FE00 0A06 0003 AED7 457B 7DFE"
	$"000A 0600 02FB 6DFB DDAF FE00 0B07 0003"
	$"ADB7 6EF6 F680 FF00 0A06 0002 FF6F DDBD"
	$"DFFE 000A 0600 036D BAFF F77B FE00 0B07"
	$"0003 DFEF B6DD EE80 FF00 0A06 0001 7DBE"
	$"FBB7 FFFE 000B 0700 03DF EB55 6EDD 80FF"
	$"000B 0700 017B B6AD 5BFF C0FF 000B 0700"
	$"03BF FDAA B775 E0FF 000B 0700 02DE D6D6"
	$"DFFE F0FF 000B 0700 03BF FF6A BBED F0FF"
	$"000B 0700 02F7 FDDD EFF7 38FF 000B 0700"
	$"07AF BF77 7EDD B8FF 000B 0700 06FD F7FF"
	$"FFEB BCFF 000B 0700 0FAB FFDD EDBE BCFF"
	$"000B 0700 0DFE FEFF BFEB DEFF 000B 0700"
	$"1F55 DFD6 FEDA BEFF 000B 0700 1DFF F77F"
	$"F7B7 9FFF 000B 0900 3BAA FFEB BDDA BF00"
	$"00A0 0083 FF"
};


resource 'PICT' (1002) {
	4753,
	{0, 0, 111, 207},
	$"1101 A030 39A0 0082 0100 0A00 0000 0000"
	$"6F00 D099 001A 0000 0000 006F 00D0 0000"
	$"0000 006F 00CF 0000 0000 006F 00CF 0000"
	$"0A14 0000 0000 006F 00CF 0000 0027 002A"
	$"0047 004A 0067 006A 0087 008A 7FFF 0001"
	$"0024 0027 002A 002C 002D 002F 0044 0047"
	$"004A 004C 004D 004F 0064 0067 006A 006C"
	$"006D 006F 0084 0087 008A 008C 008D 008F"
	$"7FFF 0002 0023 0024 002C 002D 002F 0030"
	$"0043 0044 004C 004D 004F 0050 0063 0064"
	$"006C 006D 006F 0070 0083 0084 008C 008D"
	$"008F 0090 7FFF 0003 0022 0023 0042 0043"
	$"0062 0063 0082 0083 7FFF 0005 0022 0023"
	$"0042 0043 0062 0063 0082 0083 7FFF 0006"
	$"0022 0023 002F 0030 0042 0043 004F 0050"
	$"0062 0063 006F 0070 0082 0083 008F 0090"
	$"7FFF 0007 0034 003D 0054 005D 0074 007D"
	$"7FFF 0008 0022 0023 0026 0027 002A 002C"
	$"002E 002F 0034 003D 0042 0043 0046 0047"
	$"004A 004C 004E 004F 0054 005D 0062 0063"
	$"0066 0067 006A 006C 006E 006F 0074 007D"
	$"0082 0083 0086 0087 008A 008C 008E 008F"
	$"7FFF 0009 0023 0026 002C 002E 0043 0046"
	$"004C 004E 0063 0066 006C 006E 0083 0086"
	$"008C 008E 7FFF 000E 0026 0027 002A 002B"
	$"0046 0047 004A 004B 0066 0067 006A 006B"
	$"0086 0087 008A 008B 7FFF 000F 0025 0027"
	$"0028 0029 002A 002C 0045 0047 0048 0049"
	$"004A 004C 0065 0067 0068 0069 006A 006C"
	$"0085 0087 0088 0089 008A 008C 7FFF 0010"
	$"0025 0026 0027 0028 0029 002A 002B 002C"
	$"0045 0046 0047 0048 0049 004A 004B 004C"
	$"0065 0066 0067 0068 0069 006A 006B 006C"
	$"0085 0086 0087 0088 0089 008A 008B 008C"
	$"7FFF 0013 0028 0029 0048 0049 0068 0069"
	$"0088 0089 7FFF 001C 0028 0029 0048 0049"
	$"0068 0069 0088 0089 7FFF 0020 0047 004A"
	$"0087 008A 00A3 00A6 00A7 00AA 00AB 00AE"
	$"7FFF 0021 0044 0047 004A 004C 004D 004F"
	$"0084 0087 008A 008C 008D 008F 7FFF 0022"
	$"0043 0044 004C 004D 004F 0050 0083 0084"
	$"008C 008D 008F 0090 00A6 00A7 00AA 00AB"
	$"00C8 00C9 7FFF 0023 0002 0004 0042 0043"
	$"0062 0064 0082 0083 00C5 00C6 00C7 00C8"
	$"00C9 00CA 7FFF 0024 0001 0002 0004 0005"
	$"0061 0062 0064 0065 00C6 00C7 00CA 00CB"
	$"7FFF 0025 0000 0001 0002 0005 0027 0029"
	$"002B 002D 002F 0031 0042 0043 0060 0061"
	$"0062 0065 0082 0083 00A3 00A4 00AD 00AE"
	$"00CB 00CC 7FFF 0026 0026 0029 002A 002D"
	$"002E 0031 0042 0043 004F 0050 0082 0083"
	$"008F 0090 00C4 00C5 00CC 00CD 7FFF 0027"
	$"0000 0001 0002 0003 0014 001D 0025 0027"
	$"0029 002B 002D 002F 0034 003D 0054 005D"
	$"0060 0061 0062 0063 0074 007D 00C3 00C4"
	$"00CD 00CE 7FFF 0028 0001 0002 0003 0009"
	$"000F 0010 0014 001D 0024 0026 0028 002A"
	$"002C 002E 0034 003D 0042 0043 0046 0047"
	$"004A 004C 004E 004F 0054 005D 0061 0062"
	$"0063 0069 006F 0070 0074 007D 0082 0083"
	$"0086 0087 008A 008C 008E 008F 00C3 00C4"
	$"00CD 00CE 7FFF 0029 0002 0003 0009 000B"
	$"000F 0011 0020 0022 0025 0026 0029 002A"
	$"0043 0046 004C 004E 0062 0063 0069 006B"
	$"006F 0071 0083 0086 008C 008E 7FFF 002A"
	$"0003 0004 000B 000C 0020 0023 0025 0027"
	$"0029 002B 0063 0064 006B 006C 7FFF 002B"
	$"0005 0007 000C 000D 000F 0010 0023 0025"
	$"0027 0029 002B 002D 0065 0067 006C 006D"
	$"006F 0070 00C3 00C4 00CD 00CE 7FFF 002C"
	$"0007 0009 000D 000F 0010 0011 0022 0023"
	$"0026 0027 002A 002B 0067 0069 006D 006F"
	$"0070 0071 00C3 00C4 00C8 00C9 00CD 00CE"
	$"7FFF 002D 0003 0005 0008 0009 000B 0010"
	$"0063 0065 0068 0069 006B 0070 00C4 00C8"
	$"00C9 00CD 7FFF 002E 0003 0004 0008 000B"
	$"0046 0047 004A 004B 0063 0064 0068 006B"
	$"0086 0087 008A 008B 7FFF 002F 0023 0024"
	$"0027 0028 002B 002C 0045 0047 0048 0049"
	$"004A 004C 0085 0087 0088 0089 008A 008C"
	$"00A4 00AD 7FFF 0030 0045 0046 0047 0048"
	$"0049 004A 004B 004C 0085 0086 0087 0088"
	$"0089 008A 008B 008C 7FFF 0033 0008 0009"
	$"0028 0029 0068 0069 0088 0089 00A8 00A9"
	$"00C8 00C9 7FFF 0034 0048 0049 7FFF 003C"
	$"0008 0009 0028 0029 0068 0069 0088 0089"
	$"00A8 00A9 00C8 00C9 7FFF 003D 0048 0049"
	$"7FFF 0040 0007 0009 0027 0029 7FFF 0042"
	$"0004 0006 0024 0026 0083 0084 008D 008E"
	$"7FFF 0043 0083 0085 008C 008E 00A1 00A4"
	$"00AD 00B0 7FFF 0044 0084 0086 008B 008D"
	$"00C6 00C8 00CA 00CC 7FFF 0045 000B 000D"
	$"002B 002D 0047 0049 004B 004D 004F 0051"
	$"0067 0069 006B 006D 006F 0071 0085 0087"
	$"008A 008C 00A4 00A5 00AC 00AD 00CA 00CB"
	$"7FFF 0046 0046 0049 004A 004D 004E 0051"
	$"0066 0069 006A 006D 006E 0071 0086 0088"
	$"0089 008B 00A5 00A7 00AA 00AC 00C5 00C6"
	$"00C7 00C8 00CA 00CB 00CC 00CD 7FFF 0047"
	$"0014 001D 0034 003D 0045 0047 0049 004B"
	$"004D 004F 0054 005D 0065 0067 0069 006B"
	$"006D 006F 0074 007D 0087 008A 0094 009D"
	$"00A7 00AA 00B4 00BD 00CD 00CE 7FFF 0048"
	$"0014 001D 0034 003D 0044 0046 0048 004A"
	$"004C 004E 0054 005D 0064 0066 0068 006A"
	$"006C 006E 0074 007D 0087 008A 0094 009D"
	$"00B4 00BD 00C5 00C6 00C7 00C8 7FFF 0049"
	$"0006 0007 0026 0027 0040 0042 0045 0046"
	$"0049 004A 0060 0062 0065 0066 0069 006A"
	$"0083 0084 0086 0088 0089 008B 008D 008E"
	$"00A0 00A1 00B0 00B1 00CD 00CE 7FFF 004A"
	$"0004 0005 0009 000B 0024 0025 0029 002B"
	$"0040 0043 0045 0047 0049 004B 0060 0063"
	$"0065 0067 0069 006B 0083 0087 008A 008E"
	$"00A0 00A1 00A4 00AD 00B0 00B1 00C5 00C6"
	$"7FFF 004B 0005 0007 000C 000D 0025 0027"
	$"002C 002D 0043 0045 0047 0049 004B 004D"
	$"0063 0065 0067 0069 006B 006D 00C8 00C9"
	$"7FFF 004C 0009 000C 0029 002C 0042 0043"
	$"0046 0047 004A 004B 0062 0063 0066 0067"
	$"006A 006B 0083 0087 008A 008E 00C2 00C5"
	$"00C9 00CA 00CD 00CF 7FFF 004D 0082 0084"
	$"0086 0087 008A 008B 008D 008F 00A1 00A4"
	$"00AD 00B0 7FFF 004E 0006 0007 0009 000A"
	$"0026 0027 0029 002A 0082 0083 008E 008F"
	$"00C2 00CF 7FFF 004F 0006 000A 0026 002A"
	$"0043 0044 0047 0048 004B 004C 0063 0064"
	$"0067 0068 006B 006C 7FFF 0053 0008 0009"
	$"0028 0029 0047 0048 0068 0069 0088 0089"
	$"00A8 00A9 7FFF 005C 0008 0009 0028 0029"
	$"0047 0048 0068 0069 0088 0089 00A8 00A9"
	$"7FFF 0060 0006 000A 0027 0029 0046 0048"
	$"00A3 00A6 00A7 00AA 00AB 00AE 7FFF 0061"
	$"0005 0006 000A 000B 7FFF 0062 0004 0005"
	$"000B 000C 0024 0026 0043 0045 00A6 00A7"
	$"00AA 00AB 7FFF 0065 0004 0005 000B 000C"
	$"002B 002D 004A 004C 0067 0069 006B 006D"
	$"006F 0071 0087 0089 008B 008D 008F 0091"
	$"00A3 00A4 00AD 00AE 7FFF 0066 0005 0006"
	$"000A 000B 0066 0069 006A 006D 006E 0071"
	$"0086 0089 008A 008D 008E 0091 7FFF 0067"
	$"0014 001D 0033 003C 0053 005C 0065 0067"
	$"0069 006B 006D 006F 0074 007D 0085 0087"
	$"0089 008B 008D 008F 7FFF 0068 0002 0004"
	$"000C 000E 0014 001D 0033 003C 0053 005C"
	$"0064 0066 0068 006A 006C 006E 0074 007D"
	$"0084 0086 0088 008A 008C 008E 7FFF 0069"
	$"0004 0005 0006 000A 000B 000C 0026 0027"
	$"0045 0046 0060 0062 0065 0066 0069 006A"
	$"0080 0082 0085 0086 0089 008A 7FFF 006A"
	$"0002 0007 0009 000E 0024 0025 0029 002B"
	$"0043 0044 0048 004A 0060 0063 0065 0067"
	$"0069 006B 0080 0083 0085 0087 0089 008B"
	$"7FFF 006B 0005 000B 0025 0027 002C 002D"
	$"0044 0046 004B 004C 0063 0065 0067 0069"
	$"006B 006D 0083 0085 0087 0089 008B 008D"
	$"7FFF 006C 0005 000B 0029 002C 0048 004B"
	$"0062 0063 0066 0067 006A 006B 0082 0083"
	$"0086 0087 008A 008B 7FFF 006D 0002 0007"
	$"0009 000E 7FFF 006E 0004 0005 000B 000C"
	$"0026 0027 0029 002A 0045 0046 0048 0049"
	$"7FFF 006F 0002 0004 000C 000E 0026 002A"
	$"0045 0049 0063 0064 0067 0068 006B 006C"
	$"0083 0084 0087 0088 008B 008C 00A4 00AD"
	$"7FFF 7FFF 13FD 000D 01C0 0000 01C0 0000"
	$"01C0 0000 01C0 F900 13FD 000D 0E36 0000"
	$"0E36 0000 0E36 0000 0E36 F900 13FD 000D"
	$"10C9 0000 10C9 0000 10C9 0000 10C9 F900"
	$"13FD 000D 2101 0000 2101 0000 2101 0000"
	$"2101 F900 13FD 000D 2E49 0000 2E49 0000"
	$"2E49 0000 2E49 F900 13FD 000D 1031 0000"
	$"1031 0000 1031 0000 1031 F900 13FD 000D"
	$"210A 0000 210A 0000 210A 0000 210A F900"
	$"13FD 000D 2232 0FF8 2232 0FF8 2232 0FF8"
	$"2232 F900 13FD 000D 1DCC 0000 1DCC 0000"
	$"1DCC 0000 1DCC F900 13FD 000D 0140 0000"
	$"0140 0000 0140 0000 0140 F900 13FD 000D"
	$"0140 0000 0140 0000 0140 0000 0140 F900"
	$"13FD 000D 0140 0000 0140 0000 0140 0000"
	$"0140 F900 13FD 000D 0140 0000 0140 0000"
	$"0140 0000 0140 F900 13FD 000D 0140 0000"
	$"0140 0000 0140 0000 0140 F900 13FD 000D"
	$"02A0 0000 02A0 0000 02A0 0000 02A0 F900"
	$"13FD 000D 0550 0000 0550 0000 0550 0000"
	$"0550 F900 02E7 0002 E700 02E7 0012 FC00"
	$"0080 FE00 0080 FE00 0080 FE00 0080 F900"
	$"12FC 0000 80FE 0000 80FE 0000 80FE 0000"
	$"80F9 0012 FC00 0080 FE00 0080 FE00 0080"
	$"FE00 0080 F900 12FC 0000 80FE 0000 80FE"
	$"0000 80FE 0000 80F9 0012 FC00 0080 FE00"
	$"0080 FE00 0080 FE00 0080 F900 12FC 0000"
	$"80FE 0000 80FE 0000 80FE 0000 80F9 0012"
	$"FC00 0080 FE00 0080 FE00 0080 FE00 0080"
	$"F900 12FC 0000 80FE 0000 80FE 0000 80FE"
	$"0000 80F9 0012 FC00 0080 FE00 0080 FE00"
	$"0080 FE00 0080 F900 02E7 0002 E700 02E7"
	$"0002 E700 10F9 0001 01C0 FB00 0501 C000"
	$"001D DCFD 0010 F900 010E 36FB 0005 0E36"
	$"0000 1554 FD00 12F9 0001 10C9 FB00 0510"
	$"C900 0017 74FE 0000 8017 0030 FA00 0421"
	$"0100 0030 FE00 0921 0100 0010 0400 0005"
	$"4017 0078 FA00 042E 4900 0078 FE00 092E"
	$"4900 001F FC00 0006 201B 00C0 FE00 0801"
	$"9980 0010 3100 00C0 FE00 0910 3100 0008"
	$"0800 0004 901B 00C0 FE00 0802 2200 0021"
	$"0A00 00C0 FE00 0921 0A00 0008 0800 0008"
	$"881B 1960 000F F804 440F F822 320F F860"
	$"000F F822 3200 0008 0800 0010 041B 193F"
	$"8100 0008 8800 001D CC00 003F 8100 001D"
	$"CC00 0008 0800 000A 281B 191F E080 00CC"
	$"C800 0001 4000 001F E080 0001 4000 0008"
	$"0800 000A A81B 190F F080 002A A800 0001"
	$"4000 000F F080 0001 4000 0008 0800 0008"
	$"881B 1909 F980 0033 3000 0001 4000 0009"
	$"F980 0001 4000 0009 C800 0018 8C1B 1908"
	$"7F00 0011 1000 0001 4000 0008 7F00 0001"
	$"4000 0009 4800 000F 7819 1510 E000 0011"
	$"1000 0001 4000 0010 E000 0001 4000 0009"
	$"48FD 0014 FD00 0511 1000 0002 A0FB 0005"
	$"02A0 0000 0FF8 FD00 0CF9 0001 0550 FB00"
	$"0105 50F9 0002 E700 02E7 0002 E700 1701"
	$"0080 FE00 0080 FA00 0080 FE00 0080 FE00"
	$"0080 FE00 0080 1B01 0080 FE00 0080 FE00"
	$"0080 FE00 0080 FE00 0080 FE00 0080 FE00"
	$"0080 1B01 0080 FE00 0080 FE00 0080 FE00"
	$"0080 FE00 0080 FE00 0080 FE00 0080 1B01"
	$"0080 FE00 0080 FE00 0080 FE00 0080 FE00"
	$"0080 FE00 0080 FE00 0080 1B01 0080 FE00"
	$"0080 FE00 0080 FE00 0080 FE00 0080 FE00"
	$"0080 FE00 0080 1B01 0080 FE00 0080 FE00"
	$"0080 FE00 0080 FE00 0080 FE00 0080 FE00"
	$"0080 1B01 0080 FE00 0080 FE00 0080 FE00"
	$"0080 FE00 0080 FE00 0080 FE00 0080 1B01"
	$"0080 FE00 0080 FE00 0080 FE00 0080 FE00"
	$"0080 FE00 0080 FE00 0080 1B01 0080 FE00"
	$"0080 FE00 0080 FE00 0080 FE00 0080 FE00"
	$"0080 FE00 0080 06F8 0000 80F1 0002 E700"
	$"02E7 0002 E700 0905 0180 0000 0180 ED00"
	$"0905 0180 0000 0180 ED00 0E05 0D80 0000"
	$"0D80 F700 0110 04F9 0012 050D 8000 000D"
	$"80F7 0005 0808 0000 7007 FD00 1405 0D80"
	$"0000 0D80 F700 0904 1000 0050 0500 0003"
	$"301B 190D 9800 000D 9800 0001 9980 0001"
	$"9980 0002 2000 0058 0D00 0003 101B 190D"
	$"9800 000D 9800 0002 2200 0002 2200 0001"
	$"4000 0056 3500 0006 381B 190D 980F F80D"
	$"980F F804 440F F804 440F F800 800F F851"
	$"C50F F806 341B 190D 9800 000D 9800 0008"
	$"8800 0008 8800 0001 4000 0050 0500 0003"
	$"341B 190F 9800 000F 9800 00CC C800 00CC"
	$"C800 0012 2400 00DF FD80 0003 381B 1907"
	$"F800 0007 F800 002A A800 002A A800 000C"
	$"1800 0050 0500 0005 281B 1901 F000 0001"
	$"F000 0033 3000 0033 3000 000C 1800 0050"
	$"0500 0005 A81B 1901 8000 0001 8000 0011"
	$"1000 0011 1000 0012 2400 0070 0700 003F"
	$"FE18 1101 8000 0001 8000 0011 1000 0011"
	$"1000 0020 02FB 0001 3FFE 110D 03C0 0000"
	$"03C0 0000 1110 0000 1110 F500 02E7 0002"
	$"E700 02E7 0002 E700 1801 0080 FE00 0380"
	$"0000 01FD 0000 80FE 0000 80FE 0000 80FD"
	$"0018 0100 80FE 0003 8000 0001 FD00 0080"
	$"FE00 0080 FE00 0080 FD00 1801 0080 FE00"
	$"0380 0000 01FD 0000 80FE 0000 80FE 0000"
	$"80FD 0018 0100 80FE 0003 8000 0001 FD00"
	$"0080 FE00 0080 FE00 0080 FD00 1801 0080"
	$"FE00 0380 0000 01FD 0000 80FE 0000 80FE"
	$"0000 80FD 0018 0100 80FE 0003 8000 0001"
	$"FD00 0080 FE00 0080 FE00 0080 FD00 1801"
	$"0080 FE00 0380 0000 01FD 0000 80FE 0000"
	$"80FE 0000 80FD 0018 0100 80FE 0003 8000"
	$"0001 FD00 0080 FE00 0080 FE00 0080 FD00"
	$"1801 0080 FE00 0380 0000 01FD 0000 80FE"
	$"0000 80FE 0000 80FD 0002 E700 02E7 0002"
	$"E700 02E7 0011 0803 C000 0001 8000 0003"
	$"F600 011D DCFD 0011 0807 E000 0001 8000"
	$"0003 F600 0115 54FD 0011 0809 9000 000D"
	$"8000 001B F600 0117 74FD 0011 0809 9000"
	$"000D 8000 001B F600 0110 04FD 0011 080E"
	$"7000 000D 8000 001B F600 011F FCFD 0019"
	$"1506 6000 000D 9800 001B 3000 0001 9980"
	$"0001 9980 0008 08FD 0019 1503 C000 000D"
	$"9800 001B 3000 0002 2200 0002 2200 0008"
	$"08FD 0019 1502 400F F80D 981F F01B 301F"
	$"F004 440F F804 4400 0008 08FD 0019 1533"
	$"CC00 000D 9800 001B 3000 0008 8800 0008"
	$"8800 0008 08FD 0019 1538 1C00 000F 9800"
	$"001F 3000 00CC C800 00CC C800 0008 08FD"
	$"0019 1506 6000 0007 F800 000F F000 002A"
	$"A800 002A A800 0008 08FD 0019 1501 8000"
	$"0001 F000 0003 E000 0033 3000 0033 3000"
	$"0009 C8FD 0019 0806 6000 0001 8000 0003"
	$"FE00 0911 1000 0011 1000 0009 48FD 0019"
	$"0838 1C00 0001 8000 0003 FE00 0911 1000"
	$"0011 1000 0009 48FD 0019 1530 0C00 0003"
	$"C000 0007 8000 0011 1000 0011 1000 000F"
	$"F8FD 00A0 0083 FF"
};

/* -------------------------------------------------------------------------- */

resource 'FONT' (9484, preload) {
	doExpandFont,
	proportionalFont,
	blackFont,
	notSynthetic,
	nofctbRsrc,
	oneBit,
	noCharWidthTable,
	noImageHeightTable,
	0,
	255,
	7,
	-1,
	-3,
	7,
	15,
	12,
	3,
	1,
	71,
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0005 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0005 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0005 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0405 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0405 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0039 CE73 9CE7 39CE 739C E739"
	$"CE73 9CE7 39CE 739C E739 CE73 9CE7 39CE"
	$"739C E739 CE73 9CE7 39CE 739C E739 CE73"
	$"9CE7 39CE 739C E739 CE73 9CE7 39CE 739C"
	$"E739 CE73 9CE7 39CE 739C E739 CE73 9CE7"
	$"39CE 7405 739C E739 CE73 9CE7 39CE 739C"
	$"E739 CE73 9CE7 39CE 739C E739 CE73 9CE7"
	$"39CE 739C E739 CE73 9CE7 39CE 739C E739"
	$"CE73 9CE7 39CE 739C E739 CE73 9CE7 39CE"
	$"739C E77F FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FC05 FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FC05"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FC05 FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFB9 CE73"
	$"9CE7 39CE 739C E739 CE73 9CE7 39CE 739C"
	$"E739 CE73 9CE7 39CE 739C E739 CE73 9CE7"
	$"39CE 739C E739 CE73 9CE7 39CE 739C E739"
	$"CE73 9CE7 39CE 739C E739 CE73 9CE7 39CE"
	$"739C E739 CE73 9CE7 39CE 7405 739C E739"
	$"CE73 9CE7 39CE 739C E739 CE73 9CE7 39CE"
	$"739C E739 CE73 9CE7 39CE 739C E739 CE73"
	$"9CE7 39CE 739C E739 CE73 9CE7 39CE 739C"
	$"E739 CE73 9CE7 39CE 739C E700 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0405 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0405 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0005 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0005 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0005",
	{	/* array: 258 elements */
		/* [1] */
		0,
		/* [2] */
		0,
		/* [3] */
		0,
		/* [4] */
		0,
		/* [5] */
		0,
		/* [6] */
		0,
		/* [7] */
		0,
		/* [8] */
		0,
		/* [9] */
		0,
		/* [10] */
		0,
		/* [11] */
		0,
		/* [12] */
		0,
		/* [13] */
		0,
		/* [14] */
		0,
		/* [15] */
		0,
		/* [16] */
		0,
		/* [17] */
		0,
		/* [18] */
		0,
		/* [19] */
		0,
		/* [20] */
		0,
		/* [21] */
		0,
		/* [22] */
		0,
		/* [23] */
		0,
		/* [24] */
		0,
		/* [25] */
		0,
		/* [26] */
		0,
		/* [27] */
		0,
		/* [28] */
		0,
		/* [29] */
		0,
		/* [30] */
		0,
		/* [31] */
		0,
		/* [32] */
		0,
		/* [33] */
		0,
		/* [34] */
		5,
		/* [35] */
		10,
		/* [36] */
		15,
		/* [37] */
		20,
		/* [38] */
		25,
		/* [39] */
		30,
		/* [40] */
		35,
		/* [41] */
		40,
		/* [42] */
		45,
		/* [43] */
		50,
		/* [44] */
		55,
		/* [45] */
		60,
		/* [46] */
		65,
		/* [47] */
		70,
		/* [48] */
		75,
		/* [49] */
		80,
		/* [50] */
		85,
		/* [51] */
		90,
		/* [52] */
		95,
		/* [53] */
		100,
		/* [54] */
		105,
		/* [55] */
		110,
		/* [56] */
		115,
		/* [57] */
		120,
		/* [58] */
		125,
		/* [59] */
		130,
		/* [60] */
		135,
		/* [61] */
		140,
		/* [62] */
		145,
		/* [63] */
		150,
		/* [64] */
		155,
		/* [65] */
		160,
		/* [66] */
		165,
		/* [67] */
		170,
		/* [68] */
		175,
		/* [69] */
		180,
		/* [70] */
		185,
		/* [71] */
		190,
		/* [72] */
		195,
		/* [73] */
		200,
		/* [74] */
		205,
		/* [75] */
		210,
		/* [76] */
		215,
		/* [77] */
		220,
		/* [78] */
		225,
		/* [79] */
		230,
		/* [80] */
		235,
		/* [81] */
		240,
		/* [82] */
		245,
		/* [83] */
		250,
		/* [84] */
		255,
		/* [85] */
		260,
		/* [86] */
		265,
		/* [87] */
		270,
		/* [88] */
		275,
		/* [89] */
		280,
		/* [90] */
		285,
		/* [91] */
		290,
		/* [92] */
		295,
		/* [93] */
		300,
		/* [94] */
		305,
		/* [95] */
		310,
		/* [96] */
		315,
		/* [97] */
		320,
		/* [98] */
		325,
		/* [99] */
		330,
		/* [100] */
		335,
		/* [101] */
		340,
		/* [102] */
		345,
		/* [103] */
		350,
		/* [104] */
		355,
		/* [105] */
		360,
		/* [106] */
		365,
		/* [107] */
		370,
		/* [108] */
		375,
		/* [109] */
		380,
		/* [110] */
		385,
		/* [111] */
		390,
		/* [112] */
		395,
		/* [113] */
		400,
		/* [114] */
		405,
		/* [115] */
		410,
		/* [116] */
		415,
		/* [117] */
		420,
		/* [118] */
		425,
		/* [119] */
		430,
		/* [120] */
		435,
		/* [121] */
		440,
		/* [122] */
		445,
		/* [123] */
		450,
		/* [124] */
		455,
		/* [125] */
		460,
		/* [126] */
		465,
		/* [127] */
		470,
		/* [128] */
		475,
		/* [129] */
		480,
		/* [130] */
		485,
		/* [131] */
		490,
		/* [132] */
		495,
		/* [133] */
		500,
		/* [134] */
		505,
		/* [135] */
		510,
		/* [136] */
		515,
		/* [137] */
		520,
		/* [138] */
		525,
		/* [139] */
		530,
		/* [140] */
		535,
		/* [141] */
		540,
		/* [142] */
		545,
		/* [143] */
		550,
		/* [144] */
		555,
		/* [145] */
		560,
		/* [146] */
		565,
		/* [147] */
		570,
		/* [148] */
		575,
		/* [149] */
		580,
		/* [150] */
		585,
		/* [151] */
		590,
		/* [152] */
		595,
		/* [153] */
		600,
		/* [154] */
		605,
		/* [155] */
		610,
		/* [156] */
		615,
		/* [157] */
		620,
		/* [158] */
		625,
		/* [159] */
		630,
		/* [160] */
		635,
		/* [161] */
		640,
		/* [162] */
		645,
		/* [163] */
		650,
		/* [164] */
		655,
		/* [165] */
		660,
		/* [166] */
		665,
		/* [167] */
		670,
		/* [168] */
		675,
		/* [169] */
		680,
		/* [170] */
		685,
		/* [171] */
		690,
		/* [172] */
		695,
		/* [173] */
		700,
		/* [174] */
		705,
		/* [175] */
		710,
		/* [176] */
		715,
		/* [177] */
		720,
		/* [178] */
		725,
		/* [179] */
		730,
		/* [180] */
		735,
		/* [181] */
		740,
		/* [182] */
		745,
		/* [183] */
		750,
		/* [184] */
		755,
		/* [185] */
		760,
		/* [186] */
		765,
		/* [187] */
		770,
		/* [188] */
		775,
		/* [189] */
		780,
		/* [190] */
		785,
		/* [191] */
		790,
		/* [192] */
		795,
		/* [193] */
		800,
		/* [194] */
		805,
		/* [195] */
		810,
		/* [196] */
		815,
		/* [197] */
		820,
		/* [198] */
		825,
		/* [199] */
		830,
		/* [200] */
		835,
		/* [201] */
		840,
		/* [202] */
		845,
		/* [203] */
		850,
		/* [204] */
		855,
		/* [205] */
		860,
		/* [206] */
		865,
		/* [207] */
		870,
		/* [208] */
		875,
		/* [209] */
		880,
		/* [210] */
		885,
		/* [211] */
		890,
		/* [212] */
		895,
		/* [213] */
		900,
		/* [214] */
		905,
		/* [215] */
		910,
		/* [216] */
		915,
		/* [217] */
		920,
		/* [218] */
		925,
		/* [219] */
		930,
		/* [220] */
		935,
		/* [221] */
		940,
		/* [222] */
		945,
		/* [223] */
		950,
		/* [224] */
		955,
		/* [225] */
		960,
		/* [226] */
		965,
		/* [227] */
		970,
		/* [228] */
		975,
		/* [229] */
		980,
		/* [230] */
		985,
		/* [231] */
		990,
		/* [232] */
		995,
		/* [233] */
		1000,
		/* [234] */
		1005,
		/* [235] */
		1010,
		/* [236] */
		1015,
		/* [237] */
		1020,
		/* [238] */
		1025,
		/* [239] */
		1030,
		/* [240] */
		1035,
		/* [241] */
		1040,
		/* [242] */
		1045,
		/* [243] */
		1050,
		/* [244] */
		1055,
		/* [245] */
		1060,
		/* [246] */
		1065,
		/* [247] */
		1070,
		/* [248] */
		1075,
		/* [249] */
		1080,
		/* [250] */
		1085,
		/* [251] */
		1090,
		/* [252] */
		1095,
		/* [253] */
		1100,
		/* [254] */
		1105,
		/* [255] */
		1110,
		/* [256] */
		1115,
		/* [257] */
		1120,
		/* [258] */
		1125
	},
	{	/* array: 258 elements */
		/* [1] */
		256,
		/* [2] */
		256,
		/* [3] */
		256,
		/* [4] */
		256,
		/* [5] */
		256,
		/* [6] */
		256,
		/* [7] */
		-1,
		/* [8] */
		-1,
		/* [9] */
		-1,
		/* [10] */
		2055,
		/* [11] */
		-1,
		/* [12] */
		-1,
		/* [13] */
		-1,
		/* [14] */
		256,
		/* [15] */
		-1,
		/* [16] */
		-1,
		/* [17] */
		-1,
		/* [18] */
		-1,
		/* [19] */
		-1,
		/* [20] */
		-1,
		/* [21] */
		-1,
		/* [22] */
		-1,
		/* [23] */
		-1,
		/* [24] */
		-1,
		/* [25] */
		-1,
		/* [26] */
		-1,
		/* [27] */
		-1,
		/* [28] */
		-1,
		/* [29] */
		-1,
		/* [30] */
		-1,
		/* [31] */
		-1,
		/* [32] */
		-1,
		/* [33] */
		519,
		/* [34] */
		519,
		/* [35] */
		519,
		/* [36] */
		519,
		/* [37] */
		519,
		/* [38] */
		519,
		/* [39] */
		519,
		/* [40] */
		519,
		/* [41] */
		519,
		/* [42] */
		519,
		/* [43] */
		519,
		/* [44] */
		519,
		/* [45] */
		519,
		/* [46] */
		519,
		/* [47] */
		519,
		/* [48] */
		519,
		/* [49] */
		519,
		/* [50] */
		519,
		/* [51] */
		519,
		/* [52] */
		519,
		/* [53] */
		519,
		/* [54] */
		519,
		/* [55] */
		519,
		/* [56] */
		519,
		/* [57] */
		519,
		/* [58] */
		519,
		/* [59] */
		519,
		/* [60] */
		519,
		/* [61] */
		519,
		/* [62] */
		519,
		/* [63] */
		519,
		/* [64] */
		519,
		/* [65] */
		519,
		/* [66] */
		519,
		/* [67] */
		519,
		/* [68] */
		519,
		/* [69] */
		519,
		/* [70] */
		519,
		/* [71] */
		519,
		/* [72] */
		519,
		/* [73] */
		519,
		/* [74] */
		519,
		/* [75] */
		519,
		/* [76] */
		519,
		/* [77] */
		519,
		/* [78] */
		519,
		/* [79] */
		519,
		/* [80] */
		519,
		/* [81] */
		519,
		/* [82] */
		519,
		/* [83] */
		519,
		/* [84] */
		519,
		/* [85] */
		519,
		/* [86] */
		519,
		/* [87] */
		519,
		/* [88] */
		519,
		/* [89] */
		519,
		/* [90] */
		519,
		/* [91] */
		519,
		/* [92] */
		519,
		/* [93] */
		519,
		/* [94] */
		519,
		/* [95] */
		519,
		/* [96] */
		519,
		/* [97] */
		519,
		/* [98] */
		519,
		/* [99] */
		519,
		/* [100] */
		519,
		/* [101] */
		519,
		/* [102] */
		519,
		/* [103] */
		519,
		/* [104] */
		519,
		/* [105] */
		519,
		/* [106] */
		519,
		/* [107] */
		519,
		/* [108] */
		519,
		/* [109] */
		519,
		/* [110] */
		519,
		/* [111] */
		519,
		/* [112] */
		519,
		/* [113] */
		519,
		/* [114] */
		519,
		/* [115] */
		519,
		/* [116] */
		519,
		/* [117] */
		519,
		/* [118] */
		519,
		/* [119] */
		519,
		/* [120] */
		519,
		/* [121] */
		519,
		/* [122] */
		519,
		/* [123] */
		519,
		/* [124] */
		519,
		/* [125] */
		519,
		/* [126] */
		519,
		/* [127] */
		519,
		/* [128] */
		519,
		/* [129] */
		519,
		/* [130] */
		519,
		/* [131] */
		519,
		/* [132] */
		519,
		/* [133] */
		519,
		/* [134] */
		263,
		/* [135] */
		263,
		/* [136] */
		263,
		/* [137] */
		263,
		/* [138] */
		263,
		/* [139] */
		263,
		/* [140] */
		263,
		/* [141] */
		263,
		/* [142] */
		263,
		/* [143] */
		263,
		/* [144] */
		263,
		/* [145] */
		263,
		/* [146] */
		263,
		/* [147] */
		519,
		/* [148] */
		263,
		/* [149] */
		263,
		/* [150] */
		263,
		/* [151] */
		263,
		/* [152] */
		263,
		/* [153] */
		263,
		/* [154] */
		263,
		/* [155] */
		263,
		/* [156] */
		263,
		/* [157] */
		263,
		/* [158] */
		263,
		/* [159] */
		263,
		/* [160] */
		263,
		/* [161] */
		263,
		/* [162] */
		263,
		/* [163] */
		263,
		/* [164] */
		263,
		/* [165] */
		263,
		/* [166] */
		263,
		/* [167] */
		263,
		/* [168] */
		263,
		/* [169] */
		6,
		/* [170] */
		6,
		/* [171] */
		263,
		/* [172] */
		519,
		/* [173] */
		263,
		/* [174] */
		263,
		/* [175] */
		263,
		/* [176] */
		263,
		/* [177] */
		263,
		/* [178] */
		263,
		/* [179] */
		263,
		/* [180] */
		263,
		/* [181] */
		263,
		/* [182] */
		263,
		/* [183] */
		263,
		/* [184] */
		263,
		/* [185] */
		263,
		/* [186] */
		263,
		/* [187] */
		263,
		/* [188] */
		263,
		/* [189] */
		263,
		/* [190] */
		263,
		/* [191] */
		263,
		/* [192] */
		263,
		/* [193] */
		263,
		/* [194] */
		263,
		/* [195] */
		263,
		/* [196] */
		263,
		/* [197] */
		263,
		/* [198] */
		263,
		/* [199] */
		263,
		/* [200] */
		263,
		/* [201] */
		263,
		/* [202] */
		263,
		/* [203] */
		1287,
		/* [204] */
		263,
		/* [205] */
		263,
		/* [206] */
		263,
		/* [207] */
		263,
		/* [208] */
		263,
		/* [209] */
		263,
		/* [210] */
		263,
		/* [211] */
		263,
		/* [212] */
		263,
		/* [213] */
		519,
		/* [214] */
		519,
		/* [215] */
		263,
		/* [216] */
		263,
		/* [217] */
		263,
		/* [218] */
		519,
		/* [219] */
		0,
		/* [220] */
		0,
		/* [221] */
		0,
		/* [222] */
		0,
		/* [223] */
		0,
		/* [224] */
		0,
		/* [225] */
		0,
		/* [226] */
		0,
		/* [227] */
		0,
		/* [228] */
		0,
		/* [229] */
		0,
		/* [230] */
		0,
		/* [231] */
		0,
		/* [232] */
		0,
		/* [233] */
		0,
		/* [234] */
		0,
		/* [235] */
		0,
		/* [236] */
		0,
		/* [237] */
		0,
		/* [238] */
		0,
		/* [239] */
		0,
		/* [240] */
		0,
		/* [241] */
		0,
		/* [242] */
		0,
		/* [243] */
		0,
		/* [244] */
		0,
		/* [245] */
		0,
		/* [246] */
		0,
		/* [247] */
		0,
		/* [248] */
		0,
		/* [249] */
		0,
		/* [250] */
		0,
		/* [251] */
		0,
		/* [252] */
		0,
		/* [253] */
		0,
		/* [254] */
		0,
		/* [255] */
		0,
		/* [256] */
		0,
		/* [257] */
		263,
		/* [258] */
		29285
	},
	{	/* array: 0 elements */
	},
	{	/* array: 0 elements */
	}
};

resource 'FOND' (74, "Password", preload) {
	proportionalFont,
	dontUseFractWidthTable,
	useIntegerExtra,
	useFractEnable,
	canAdjustCharSpacing,
	noCharWidthTable,
	noImageHeightTable,
	74,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	0,
	1,
	{	/* array FontEntries: 1 elements */
		/* [1] */
		12, plain, 9484
	},
	{	/* array: 0 elements */
	},
	{	/* array: 0 elements */
	},
	{	/* array: 0 elements */
	},
	{	/* array: 0 elements */
	}
};

/* -------------------------------------------------------------------------- */
